## ipband 0.8.1

=== Makefile ===
--- 
+++ 
@@ -5,14 +5,39 @@
 #  Note: When the version changes, you also have to change
 #  the RPM spec file
 
-V=0.7.2
+V=0.8.1
 
 MAKE=make
 
 CPPFLAGS=-I/usr/include/pcap
 LIBS=-lpcap
-CFLAGS=-Wall
+CFLAGS := -Wall $(CFLAGS)
 CC=gcc 
+
+ifndef PREFIX
+PREFIX=/usr
+endif
+
+ifndef BINDIR
+BINDIR=$(PREFIX)/sbin
+endif
+
+ifndef MANDIR
+MANDIR=$(PREFIX)/share/man
+endif
+
+ifndef MAN8DIR
+MAN8DIR=$(MANDIR)/man8
+endif
+
+ifndef SYSCONFDIR
+#SYSCONFDIR=$(PREFIX)/etc
+SYSCONFDIR=/etc
+endif
+
+ifndef RCDIR
+RCDIR=$(SYSCONFDIR)/rc.d/init.d
+endif
 
 
 BIN 	= ipband
@@ -27,12 +52,16 @@
 	$(CC) -o $(BIN) $(OBJ_C) $(LIBS) $(CFLAGS)
 	strip $(BIN)
 
+install-strip:	install
 
 install: all
-	install -D ipband   /usr/local/bin/ipband
-	install -D ipband.1 /usr/local/man/man1/ipband.1
-	install -D ipband.sample.conf /etc/ipband.sample.conf
-	install -D ipband.rc /etc/rc.d/init.d/ipband
+	mkdir -p $(DESTDIR)$(BINDIR) $(DESTDIR)$(MAN8DIR)
+	mkdir -p $(DESTDIR)$(SYSCONFDIR)
+	mkdir -p $(DESTDIR)$(RCDIR)
+	install -D ipband   		$(DESTDIR)$(BINDIR)/ipband
+	install -D ipband.8 		$(DESTDIR)$(MAN8DIR)/ipband.8
+	install -D ipband.sample.conf 	$(DESTDIR)$(SYSCONFDIR)/ipband.sample.conf
+	install -D ipband.rc 		$(DESTDIR)$(RCDIR)/ipband
 
 
 clean:
@@ -45,8 +74,8 @@
 #
 #  If we need rpm
 
-SRC_ROOT = Makefile CHANGELOG COPYING README INSTALL ipband.spec
-SRC_SRCS = Makefile *.c *.h ipband.1
+SRC_ROOT = Makefile CHANGELOG COPYING README INSTALL ipband.spec styles.css
+SRC_SRCS = Makefile *.c *.h ipband.8
 SRC_CONF = ipband.sample.conf ipband.rc
 
 tgz:	
@@ -60,4 +89,4 @@
 rpm:    tgz
 	mv ipband-$(V).tgz /usr/src/redhat/SOURCES
 	cp ipband.spec /usr/src/redhat/SPECS
-	rpm -bb ipband.spec
+	rpmbuild -bb ipband.spec
