=== debian/changelog ===
ipband (0.8.1-6) unstable; urgency=medium

  [ Emmanuel Arias ]
  * d/control: Add Salvaging Team as Maintainer. Add to Mats Erik Andersson and
    myself as Uploaders.
    Closes: #1115533
  * Set Vcs-Fields (routine-update)
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * d/control: Add ${misc:Pre-Depends} to binary package stanza.
  * d/control: Add as Depends default-mta instead of exim4.
  * d/ipband.service: Add ships systemd unit (Closes: #1039234).
    - d/ipband.init: Remove not longer need code.
  * d/control: Remove lsb-base Depends.
  * d/rules: Remove use of CPPFLAGS customize.

  [ Andreas Tille ]
  * d/watch: Bump version to 5.

 -- Emmanuel Arias <eamanu@debian.org>  Wed, 08 Oct 2025 12:42:04 +0200

ipband (0.8.1-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957369)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 11 Nov 2020 19:11:52 +0000

ipband (0.8.1-5) unstable; urgency=low

  * Step up to Standards version 3.9.8, no changes.
  * Increase hardening level.
  * Binary package depends on lsb-base due to init script.
  * debian/copyright: Misspelled field name.
  * More spelling mistakes.
    + debian/ipband.conf-*: Updated.
    + debian/ipband.default: Likewise.
  * [lintian] Spelling errors in binary and manual page.
    + debian/patches/06_spelling_errors.diff: New file.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Tue, 06 Dec 2016 15:13:55 +0100

ipband (0.8.1-4) unstable; urgency=low

  * Updating to Standards 3.9.6, compatibility 9.
    * debian/control: Build depends on debhelper (>= 9).
    * debian/compat: Updated.
  * Hardening of executables.
    + debian/patches/01_fix_makefile.diff: Renamed and updated.
    + debian/rules: Set and export CFLAGS, CPPFLAGS, and LDFLAGS.
  * Replace the date macro to achieve reproducible builds.
    + debian/patches/05_reproducible_timestamp.diff: New file.
    + debian/rules: Update CPPFLAGS.
  * Set formal user 'ipband' as origin of mail message.
    + debian/patches/04_check_mailer_strings.diff: Updated.
  * Include upstream's original 'styles.css'.
    + debian/ipband.examples: Updated.
    + debian/rules: Override dh_fixperms.
  * Avoid creation of '/ipband.txt'.
    + debian/ipband.conf-simple: Updated.
  * [lintian] Source the LSB collection of init-functions.
    + debian/ipband.init: Updated.
  * Evaluation of copyright situation.
    + debian/copyright: Rewritten according to DEP-5.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Sun, 12 Jul 2015 18:09:05 +0200

ipband (0.8.1-3) unstable; urgency=low

  * New maintainer. (Closes: #553356)
  * Standards version 3.9.1:
    + Compatibility level 8.
    + Build-depends: debhelper (>= 8).
  * Migration to format "3.0 (quilt)".
  * debian/rules: Trivial content using "dh".
    + debian/ipband.examples: New file.
  * debian/postrm: maintainer-script-without-set-e
  * Binary package: dir-or-file-in-var-run
    + debian/ipband.dirs: Removed.
  * [lintian]: Spelling error.
    + debian/patches/02_manpage_spelling_errors.diff: New file.
  * Compiler warnings:
    + debian/patches/03_compiler_warnings.diff: New file.
  * Strengthen string checking to prevent a crash:
    + debian/patches/04_check_mailer_strings.diff: New file.
  * debian/watch: Let URL end in a dash.
  * debian/copyright: Restore a verbatim quotation.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Tue, 22 Mar 2011 17:18:00 +0100

ipband (0.8.1-2) unstable; urgency=low

  * [f5fb74a] Orphaning package
  * [c854e6c] Bump to Standards-Version 3.8.3 and added ${misc:Depends}
    in depends
  * [dfd04e5] Added a README.source
  * [bb4c614] Create /var/run/ipband in init script

 -- Giuseppe Iuculano <iuculano@debian.org>  Sat, 23 Jan 2010 11:26:36 +0100

ipband (0.8.1-1) unstable; urgency=low

  * New upstream release
  * Drop 02_minor_fix_on_main.c.dpatch, 03_manpage.dpatch, 04_ipband.h.dpatch,
    05_sendmail_in_init.c.dpatch, 06_fix_counter_overflow.dpatch, now they are
    in Upstream (Thanks Andrew Nevynniy)

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Tue, 17 Jun 2008 19:56:12 +0200

ipband (0.8-1) unstable; urgency=low

  * New upstream release
  * New maintainer (Closes: #472736)
  * Decrease debhelper level to 5
  * Switch to dpatch
  * Updated to standards version 3.8.0
  * Fix debian/ipband.conf-simple subnet definition
  * Updated debian/ipband.conf-verbose
  * Changed integer type to hold cumulative byte count from long to double to
    avoid counter overflow in reports. Thanks to Andrew Nevynniy (upstream)
    (Closes: #363407)

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Sat, 14 Jun 2008 15:51:46 +0200

ipband (0.7.2-5) unstable; urgency=low

  * QA upload.
  * Don't fail to build if strtok_r is defined as a macro (Closes: #475977)
  * Replace exim with exim4 in dependencies (Closes: #420272, #255351)
  * Increase debhelper level to 6
  * Add proper copyright statement to debian/copyright

 -- Frank Lichtenheld <djpig@debian.org>  Tue, 15 Apr 2008 01:37:36 +0200

ipband (0.7.2-4) unstable; urgency=low

  * QA upload.
  * Set maintainer to Debian QA Group
  * Added LSB formatted dependency info in init.d script (closes: #469609)
  * Replaced DH_COMPAT by debian/compat file
  * Don't ignore make clean errors
  * Removed old FSF address from copyright file, and linked to GPL-2 file
  * Added Homepage control field
  * Updated standards version

 -- Peter Eisentraut <petere@debian.org>  Tue, 01 Apr 2008 23:49:39 +0200

ipband (0.7.2-3) unstable; urgency=medium

  * Change ipband's manpage section from 1 (Executable programs or shell
    commands) to 8 (System administration commands), and update all references
    to the manpage.
  * Fix bad grammar in /etc/default/ipband
  * Change urgency to "medium"; the bashism fixed in the last upload (which
    closed #231102) was a fairly serious problem.
  * Change Maintainer: email address from my private address to

