=== debian/control ===
Source: ipband
Section: net
Priority: optional
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders: Mats Erik Andersson <mats.andersson@gisladisker.se>,
           Emmanuel Arias <eamanu@debian.org>,
Build-Depends: debhelper-compat (= 13), libpcap-dev
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/salvage-team/ipband.git
Vcs-Browser: https://salsa.debian.org/salvage-team/ipband
Homepage: http://ipband.sourceforge.net/

Package: ipband
Architecture: any
Depends: ${misc:Depends},
         default-mta | mail-transport-agent,
         ${shlibs:Depends}
Pre-Depends:
 ${misc:Pre-Depends},
Description: daemon for subnet bandwidth monitoring with reporting via email
 This is a daemon which can monitor as many different subnets (or individual
 hosts, by specifying a "subnet" of /32) as you'd like. The reporting facility
 will only be triggered when a defined bandwidth level had been exceeded for a
 defined time.
 .
 Information reported includes the connections which are taking up the most
 bandwidth (ip address and port pairs). Reporting is done via email.
