=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_BUILD_MAINT_OPTIONS

%:
	dh $@

override_dh_fixperms:
	dh_fixperms
	# Upstream is setting everything to executables.
	chmod a-x debian/ipband/usr/share/doc/ipband/examples/styles.css
